QGIS Application - Bug report #14672
Program Crashes In Some Cases When Performing Buffer Vector Analysis with Dissolve
2016-04-12 10:03 PM - Mark Thomas

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.1 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 22636
Description

When creating a buffer shape file from certain shape layers, the program crashes if | have the option selected to dissolve the buffer. | was
following instructions from the tutorial section 7.2.8 using the data from the source specified, and this worked fine for the roads layer. It
also works if | perform the analysis without dissolve.

History

#1 - 2016-04-12 10:09 PM - Mark Thomas

Note: The shapes generated without dissolve can then be merged into a single shape without any issues as a second step.

#2 - 2016-04-13 07:51 AM - Giovanni Manghi
- Status changed from Open to Feedback

please attach the full datasets (the .shp file is not enough for a shapefile, you must also add the .shx, .dbf and .prj).

#3 - 2016-04-13 08:34 PM - Mark Thomas
- File supportingShapeFiles.zip added

The rest of the files are now attached.

#4 - 2016-04-14 05:28 AM - Giovanni Manghi

Mark Thomas wrote:

The rest of the files are now attached.

you forgot to attach the original layer, the one where to apply the buffer.

#5 - 2016-04-16 06:08 PM - Mark Thomas
- File schools_34S.zip added
http://docs.qgis.org/2.8/en/docs/training_manual/vector_analysis/basic_analysis.html

This should be the original layer, and all supporting files.

#6 - 2016-04-17 06:13 AM - Giovanni Manghi

no problems whatsoever here, at least on qgis master, Please give it a try and report back.

#7 - 2016-05-21 11:20 AM - Giovanni Manghi
- Status changed from Feedback to Closed

- Resolution set to worksforme

closing for lack of feedback, please reopen if necessary.

#8 - 2017-09-22 10:05 AM - Jiirgen Fischer

- Category set to Unknown

Files

t.shp 5.8 KB 2016-04-12 Mark Thomas
t2.shp 100 Bytes 2016-04-12 Mark Thomas
schools_34S.shp 924 Bytes 2016-04-12 Mark Thomas
qgis-20160412-215513-66948-62368-ea85bef.zip 4.16 MB 2016-04-12 Mark Thomas
supportingShapeFiles.zip 7.37 KB 2016-04-13 Mark Thomas
schools_34S.zip 22.9 KB 2016-04-16 Mark Thomas
